version: "3"
services:
  db:
    image: mariadb
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: nyrpuc5z
      MYSQL_DATABASE: tetris


  server:
    build : ./Java/Tetris/
    command:  mvn -f /tetrisgame/Java/Tetris/  clean compile exec:java
    environment:
      - MYSQL_LOGIN=root
      - MYSQL_PASSWORD=nyrpuc5z
      - MYSQL_HOST=db
    tty: true
    ports:
      - 8080:8080
    depends_on:
      - db
    links: 
      - db


